## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           kristall
Version:        0.4
Release:        %autorelease
Summary:        A high-quality visual cross-platform gemini browser

License:        GPL-3.0-only AND Apache-2.0
URL:            https://kristall.random-projects.net/
Source:         https://github.com/MasterQ32/kristall/archive/V%{version}/%{name}-%{version}.tar.gz
Patch:          fedora-qmake.patch

BuildRequires:  ccache
BuildRequires:  desktop-file-utils
BuildRequires:  gcc-c++
BuildRequires:  libappstream-glib
BuildRequires:  make
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtmultimedia-devel
BuildRequires:  qt5-qtsvg-devel
BuildRequires:  qt5-linguist
BuildRequires:  openssl-devel

%description
A high-quality visual cross-platform gemini browser.
Features
- Multi-protocol support
 * Gemini
 * HTTP
 * HTTPS
 * Finger
 * Gopher
- Document rendering
 * text/gemini
 * text/html (reduced feature set)
 * text/markdown
 * text/*
 * image/*
 * video/*
 * audio/*
- TLS Management
 * Supports client certificates
 * Supports TOFU and CA TLS handling for both Gemini and HTTPS
- Outline generation (Video)
- Favourite Sites
- Navigation history
- Tabbed interface
- Survives ConMans torture suite as well as the Egsam Torture Suite
- Special link highlighting for different targets
- Color Themes
 * Custom document color theme
 * Automatic light/dark theme based on the host name
 * Dark/Light UI theme


%prep
%autosetup


%build
%make_build PREFIX=%{_prefix}


%install
%make_install PREFIX=%{_prefix}

%check
#appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.metainfo.xml
desktop-file-validate %{buildroot}/%{_datadir}/applications/Kristall.desktop

%files
%license LICENSE
%doc README.md
%{_mandir}/man1/kristall.1.*
%{_bindir}/kristall
%{_datadir}/icons/hicolor/scalable/apps/net.random-projects.kristall.svg
%{_datadir}/icons/hicolor/16x16/apps/net.random-projects.kristall.png
%{_datadir}/icons/hicolor/32x32/apps/net.random-projects.kristall.png
%{_datadir}/icons/hicolor/64x64/apps/net.random-projects.kristall.png
%{_datadir}/icons/hicolor/128x128/apps/net.random-projects.kristall.png
%{_datadir}/applications/Kristall.desktop
%{_datadir}/mime/packages/kristall.xml

%changelog
* Wed Jan 03 2024 John Doe <packager@example.com> - 0.4-1
- Uncommitted changes
